Read_queue
4	4	*2	# size_queue    
2	4	*2	# nb_context         
2	4	*2	# nb_front_end 
1	4	*2	# nb_ooo_engine
32	32	*2	# nb_packet          
16	16	+1	# size_general_data  
16	16	+1	# size_special_data  
4 	4 	*2	# nb_general_register
4 	4 	+1	# nb_special_register
1	1	*2	# nb_gpr_write
1	1	*2	# nb_spr_write
4	4	*2	# size_store_queue
4	4	*2	# size_load_queue    
